IF NOT EXISTS(
  SELECT * FROM sys.tables WHERE name = 'Timerjobs')
BEGIN	
	CREATE TABLE [dbo].[Timerjobs] (
		[Name] nvarchar(128)  NOT NULL,
		[Started] datetime  NOT NULL,
		[Ended] datetime  NOT NULL,
		[LastRunLog] nvarchar(max)  NOT NULL,
		[Enabled] bit  NOT NULL,
		[Status] int  NOT NULL
	);

	ALTER TABLE [dbo].[Timerjobs]
	ADD CONSTRAINT [PK_Timerjobs]
		PRIMARY KEY CLUSTERED ([Name] ASC);
END;

--IF EXISTS(
--  SELECT * FROM sys.tables WHERE name = 'BA_SiteTypeMetadataDefinition')
--BEGIN	
--  DROP TABLE dbo.BA_SiteTypeMetadataDefinition;
--END;

--IF EXISTS(
--  SELECT * FROM sys.tables WHERE name = 'BA_SiteRoleBA_Principal')
--BEGIN	
--  DROP TABLE dbo.BA_SiteRoleBA_Principal;
--END;